Bug 1992013 - ci/prow/e2e-gcp-console flake "Create Application from Devfile.Create Application"
Summary: ci/prow/e2e-gcp-console flake "Create Application from Devfile.Create Applica...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.9.0
Assignee: Christoph Jerolimov
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-10 14:41 UTC by David Taylor
Modified: 2021-10-18 17:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1992004
Environment:
Last Closed: 2021-10-18 17:45:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9796 0 None None None 2021-08-12 12:40:47 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:45:58 UTC

Description David Taylor 2021-08-10 14:41:01 UTC
Seeing the following failures:

# Create Application from Devfile.Create Application from Devfile Create the sample workload from dev file: A-04-TC03
CypressError: Timed out retrying after 40050ms: `cy.click()` failed because this element is `disabled`:

https://search.ci.openshift.org/?search=Create+Application+from+Devfile.Create+Application&maxAge=168h&context=1&type=junit&name=pull-ci-openshift-console-master-e2e-gcp-console&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job


This might be a race condition between page loading and getting the element:  https://github.com/cypress-io/cypress/issues/5827#issuecomment-751995883

Comment 1 Christoph Jerolimov 2021-08-12 09:45:42 UTC
This error is also related to GitHub rate limit exceeded warnings. For form doesn't automatically fill the application name in that case and so that save button is disabled forever.

Comment 4 Christoph Jerolimov 2021-09-02 19:20:27 UTC
This issue influenced only our e2e tests. I could verify the improvement on https://search.ci.openshift.org/ when searched for A-04-TC03. Exact links below.

When searched in the last 14 days [1]: 933 runs, 59% failed, 3% of failures match = 2% impact
When searched just in the last 7 days [2]: No results found.

[1] https://search.ci.openshift.org/?search=A-04-TC03&maxAge=336h&context=1&type=junit&name=pull-ci-openshift-console-master-e2e-gcp-console&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job
[2] https://search.ci.openshift.org/?search=A-04-TC03&maxAge=168h&context=1&type=junit&name=pull-ci-openshift-console-master-e2e-gcp-console&excludeName=&maxMatches=5&maxBytes=20971520&groupBy=job

Comment 7 errata-xmlrpc 2021-10-18 17:45:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.